#!/bin/sh
[ -r lib ] || mkdir lib
rm -rf lib/libPythia6.a

cat > /tmp/p1.c <<EOF
void nevercalled() {}
EOF
gcc -c -o /tmp/p1.o /tmp/p1.c

cat > /tmp/p2.c <<EOF
void pythia6_common_block_address_() {}
EOF
gcc -c -o /tmp/p2.o /tmp/p2.c

ar rv lib/libPythia6.a /tmp/p2.o
ranlib lib/libPythia6.a

./configure linux \
      --enable-pythia6 --with-pythia6-libdir=$ROOTSYS/lib \
      --enable-cern --disable-rfio --disable-globus --disable-alien \
      --enable-mathmore --enable-mathcore --enable-roofit \
      --enable-asimage --enable-minuit2 \
#      --enable-alien --with-alien-incdir=${ALIEN_ROOT}/api/include \
#      --with-alien-libdir=${ALIEN_ROOT}/api/lib \
#      --with-ssl-incdir=${ALIEN_ROOT}/include \
#      --with-ssl-libdir=${ALIEN_ROOT}/lib

rm lib/libPythia6.a
ar rv lib/libPythia6.a /tmp/p1.o
ranlib lib/libPythia6.a

